export declare const common: {
    publicRequest: <T>(path: string, params?: any) => Promise<T>;
    privateRequest: <T>(path: string, auth: import("./common").Authentication, params?: any, method?: import("axios").Method) => Promise<T>;
    generateSignature: (path: string, secret: string, timestamp: number, method: import("axios").Method, hash: string) => string;
    generateContentHash: (content?: any) => string;
};
export declare const orders: {
    get: (auth: import("./common").Authentication, params: import("./orders/get").GetOrderParams) => Promise<import("./orders/get").GetOrderResponse>;
    add: (auth: import("./common").Authentication, params: import("./orders/add").AddOderParams) => Promise<import("./orders/add").AddOrderResponse>;
    cancel: (auth: import("./common").Authentication, params: import("./orders/cancel").CancelOrderParams) => Promise<import("./orders/cancel").CancelOrderResponse>;
};
export declare const account: {
    balances: (auth: import("./common").Authentication) => Promise<import("./account/balances").Balance[]>;
};
export declare const markets: {
    orderbook: (params: import("./markets/orderbook").GetOrderbookParams) => Promise<import("./markets/orderbook").GetOrderbookResult>;
};
